Exiv2: Exiv2::XmpProperties Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Examples

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exiv2::XmpProperties Class Reference

Container for XMP property information. Implemented as a static class. More...

`#include <properties.hpp>`

Collaboration diagram for Exiv2::XmpProperties:

[legend]

List of all members.

## Static Public Member Functions
static const char * | propertyTitle (const XmpKey &key)
| Return the title (label) of the property.
static const char * | propertyDesc (const XmpKey &key)
| Return the description of the property.
static TypeId | propertyType (const XmpKey &key)
| Return the type for property key. The default for unknown keys is xmpText.
static const XmpPropertyInfo * | propertyInfo (const XmpKey &key)
| Return information for the property for key.
static std::string | ns (const std::string &prefix)
| Return the namespace name for the schema associated with prefix.
static const char * | nsDesc (const std::string &prefix)
| Return the namespace description for the schema associated with prefix.
static const XmpPropertyInfo * | propertyList (const std::string &prefix)
| Return read-only list of built-in properties for prefix.
static const XmpNsInfo * | nsInfo (const std::string &prefix)
| Return information about a schema namespace for prefix. Always returns a valid pointer.
static std::string | prefix (const std::string &ns)
| Return the (preferred) prefix for schema namespace ns.
static void | printProperties (std::ostream &os, const std::string &prefix)
| Print a list of properties of a schema namespace to output stream os.
static void | registerNs (const std::string &ns, const std::string &prefix)
| Register namespace ns with preferred prefix prefix.

## Detailed Description

Container for XMP property information. Implemented as a static class.

## Member Function Documentation

static const char* Exiv2::XmpProperties::propertyTitle | ( | const XmpKey & | key | ) | `[static]`

Return the title (label) of the property.

Parameters:

  | key | The property key

Returns:
  The title (label) of the property, 0 if the key is of an unknown property.

static const char* Exiv2::XmpProperties::propertyDesc | ( | const XmpKey & | key | ) | `[static]`

Return the description of the property.

Parameters:

  | key | The property key

Returns:
  The description of the property, 0 if the key is of an unknown property.

static TypeId Exiv2::XmpProperties::propertyType | ( | const XmpKey & | key | ) | `[static]`

Return the type for property key. The default for unknown keys is xmpText.

Parameters:

  | key | The property key

Returns:
  The type of the property

static const XmpPropertyInfo* Exiv2::XmpProperties::propertyInfo | ( | const XmpKey & | key | ) | `[static]`

Return information for the property for key.

Parameters:

  | key | The property key

Returns:
  A pointer to the property information, 0 if the key is of an unknown property.

static std::string Exiv2::XmpProperties::ns | ( | const std::string & | prefix | ) | `[static]`

Return the namespace name for the schema associated with prefix.

Parameters:

  | prefix | Prefix

Returns:
  The namespace name

Exceptions:

  | Error | if no namespace is registered with prefix.

static const char* Exiv2::XmpProperties::nsDesc | ( | const std::string & | prefix | ) | `[static]`

Return the namespace description for the schema associated with prefix.

Parameters:

  | prefix | Prefix

Returns:
  The namespace description

Exceptions:

  | Error | if no namespace is registered with prefix.

static const XmpPropertyInfo* Exiv2::XmpProperties::propertyList | ( | const std::string & | prefix | ) | `[static]`

Return read-only list of built-in properties for prefix.

Parameters:

  | prefix | Prefix

Returns:
  Pointer to the built-in properties for prefix, may be 0 if none is configured in the namespace info.

Exceptions:

  | Error | if no namespace is registered with prefix.

static const XmpNsInfo* Exiv2::XmpProperties::nsInfo | ( | const std::string & | prefix | ) | `[static]`

Return information about a schema namespace for prefix. Always returns a valid pointer.

Parameters:

  | prefix | The prefix

Returns:
  A pointer to the related information

Exceptions:

  | Error | if no namespace is registered with prefix.

static std::string Exiv2::XmpProperties::prefix | ( | const std::string & | ns | ) | `[static]`

Return the (preferred) prefix for schema namespace ns.

Parameters:

  | ns | Schema namespace

Returns:
  The prefix or an empty string if namespace ns is not registered.

static void Exiv2::XmpProperties::registerNs | ( | const std::string & | ns,
|  | const std::string & | prefix |
| ) |  |  | `[static]`

Register namespace ns with preferred prefix prefix.

If the namespace is a known or previously registered namespace, the prefix is overwritten. This also invalidates XMP keys generated with the previous prefix.

Examples:
  xmpsample.cpp.

The documentation for this class was generated from the following file:

- properties.hpp